New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Require Ruby files/Gems #109

Closed
hagenburger opened this Issue Jan 28, 2015 · 1 comment

Comments

Projects
None yet
1 participant
@hagenburger
Member

hagenburger commented Jan 28, 2015

Allow to define own filters in Ruby files:

// styleguide.lsg
@require my-filters
@foo Bar
# my-filters.rb
LivingStyleGuide.add_filter :foo do |bar|
  "<h1>#{bar}</h1>"
end

This also allows to require Ruby Gems.

@hagenburger

This comment has been minimized.

Member

hagenburger commented Apr 8, 2015

Done in 76bc476.

@hagenburger hagenburger closed this Apr 8, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment